import carregar
import processar
import iniciochuvosa
import veranicos
import classificacao_veranicos

def mostrar_menu():
    print("Menu:")
    print("1 - transformar txt em csv com todas leituras das estacoes")
    print("11 - Estacao mais proxima")    
    print("20 - completar valores com -1")   
    print("30 - Inicio e fim estacao chuvosa")   
    print("----------------------------------------------------------------")       
    print("41 - Processar veranicos com estacao chuvosa")   
    print("42 - Processar Classicação veranicos")   
    print("47 - gerar matriz  veranicos csv vinal")       
    print("51 - gerar matriz  PREENCHIDA vinal")           
    print("----------------------------------------------------------------")  
    print("0 - Sair")

def main():
    while True:
        mostrar_menu()

        opcao = input("Escolha uma opção: ")

        if opcao == "1":
            carregar.carregar_arquivo()           

        elif opcao == "3":
            carregar.deletar_arquivo_gerado()

        elif opcao == "11":
            carregar.carregar_arquivoxls_mais_proxima()

        elif opcao == "20":
            processar.processar_arquivos_com_menos_um()      
        elif opcao == "30":
            iniciochuvosa.processar_inicio_fim_estacao_chuvosa()      

        elif opcao == "41":
            veranicos.processar_veranicos_estacao_chuvosa()      
                
        elif opcao == "42":
            classificacao_veranicos.processar_Classificao_Veranicos()      
                
        elif opcao == "47":
            classificacao_veranicos.gerarmatrizembraco()    

        elif opcao == "51":
            classificacao_veranicos.gerarmatrizfinal()    
                


        elif opcao == "0":
            print("Saindo...")
            break
        else:
            print("Opção inválida, tente novamente.")

if __name__ == "__main__":
    main()
